CMSIS-DSP: arm_math_memory.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_math_memory.h File Reference

## Macros

#define | __SIMD32(addr)
| definition to read/write two 16 bit values. More...
#define | __SIMD32_CONST(addr)
#define | _SIMD32_OFFSET(addr)
#define | __SIMD64(addr)
#define | read_q15x2_ia(pQ15)
| Read 2 Q15 from Q15 pointer and increment pointer afterwards. More...
#define | read_q15x2_da(pQ15)
| Read 2 Q15 from Q15 pointer and decrement pointer afterwards. More...
#define | read_q7x4_ia(pQ7)
| Read 4 Q7 from Q7 pointer and increment pointer afterwards. More...
#define | read_q7x4_da(pQ7)
| Read 4 Q7 from Q7 pointer and decrement pointer afterwards. More...

## Functions

__STATIC_FORCEINLINE q31_t | read_q15x2 (q15_t const *pQ15)
| Read 2 Q15 from Q15 pointer. More...
__STATIC_FORCEINLINE void | write_q15x2_ia (q15_t **pQ15, q31_t value)
| Write 2 Q15 to Q15 pointer and increment pointer afterwards. More...
__STATIC_FORCEINLINE void | write_q15x2 (q15_t *pQ15, q31_t value)
| Write 2 Q15 to Q15 pointer. More...
__STATIC_FORCEINLINE q31_t | read_q7x4 (q7_t const *pQ7)
| Read 4 Q7 from Q7 pointer. More...
__STATIC_FORCEINLINE void | write_q7x4_ia (q7_t **pQ7, q31_t value)
| Write 4 Q7 to Q7 pointer and increment pointer afterwards. More...

## Macro Definition Documentation

#define __SIMD32 | ( |  | addr | ) |

Deprecated:

#define __SIMD32_CONST | ( |  | addr | ) |

#define __SIMD64 | ( |  | addr | ) |

#define _SIMD32_OFFSET | ( |  | addr | ) |

#define read_q15x2_da | ( |  | pQ15 | ) |

Parameters

  [in] | pQ15 | points to input value

Returns
  Q31 value

#define read_q15x2_ia | ( |  | pQ15 | ) |

Parameters

  [in] | pQ15 | points to input value

Returns
  Q31 value

#define read_q7x4_da | ( |  | pQ7 | ) |

Parameters

  [in] | pQ7 | points to input value

Returns
  Q31 value

#define read_q7x4_ia | ( |  | pQ7 | ) |

Parameters

  [in] | pQ7 | points to input value

Returns
  Q31 value

## Function Documentation

__STATIC_FORCEINLINE q31_t read_q15x2 | ( | q15_t const * | pQ15 | ) |

Parameters

  [in] | pQ15 | points to input value

Returns
  Q31 value

__STATIC_FORCEINLINE q31_t read_q7x4 | ( | q7_t const * | pQ7 | ) |

Parameters

  [in] | pQ7 | points to input value

Returns
  Q31 value

__STATIC_FORCEINLINE void write_q15x2 | ( | q15_t * | pQ15,
|  | q31_t | value
| ) |  |

Parameters

  [in] | pQ15 | points to input value
  [in] | value | Q31 value

Returns
  none

__STATIC_FORCEINLINE void write_q15x2_ia | ( | q15_t ** | pQ15,
|  | q31_t | value
| ) |  |

Parameters

  [in] | pQ15 | points to input value
  [in] | value | Q31 value

Returns
  none

__STATIC_FORCEINLINE void write_q7x4_ia | ( | q7_t ** | pQ7,
|  | q31_t | value
| ) |  |

Parameters

  [in] | pQ7 | points to input value
  [in] | value | Q31 value

Returns
  none